### Method

# Gtk InfoBaradd_action_widget

deprecated: 4.10

#### Declaration [src]

    void
    gtk_info_bar_add_action_widget (
      GtkInfoBar* info_bar,
      GtkWidget* child,
      int response_id
    )

#### Description [src]

Add an activatable widget to the action area of a `GtkInfoBar`.

This also connects a signal handler that will emit the `GtkInfoBar::response` signal on the message area when the widget is activated. The widget is appended to the end of the message areas action area.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`child`

  Type: `GtkWidget`

  An activatable widget.

  The data is owned by the caller of the method.

`response_id`

  Type: `int`

  Response ID for `child`.